#
# spec file for package spandsp (Version 0.0.6pre17)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%define	pkgname		spandsp
%define	libname		lib%{pkgname}
%define	soname		%{libname}2
Name:           %soname
BuildRequires:  audiofile-devel doxygen gcc-c++ libtiff-devel libxslt
Url:            http://www.soft-switch.org/
Summary:        A DSP library for Telephony and SoftFAX
Version:        0.0.6pre17
Release:        3.11
License:        GPL v2 only
Group:          System/Libraries
Source0:        %{pkgname}-%{version}.tar.bz2
Patch0:         %pkgname.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SpanDSP is a library of DSP functions for telephony, in the 8000 sample
per second world of E1s, T1s, and higher order PCM channels. It
contains low level functions, such as basic filters. It also contains
higher level functions, such as cadenced supervisory tone detection,
and a complete software FAX machine.



Authors:
--------
    Steve Underwood <steveu@coppice.org>

%package -n %{libname}-devel
Summary:        Development files for the SpanDSP library
Group:          Development/Libraries/C and C++
Requires:       %soname = %version

%description -n %{libname}-devel
This package contains files that are needed for developing or compiling
software that uses the spandsp library.



Authors:
--------
    Steve Underwood <steveu@coppice.org>

%prep
%setup -q -n spandsp-0.0.6
%patch0

%build
%configure \
%ifarch i586 i686
	--enable-mmx \
%endif
	--disable-static
%__make

%install
%makeinstall
mkdir -p %buildroot/%_docdir/%soname
cp -a COPYING INSTALL AUTHORS NEWS README DueDiligence \
	ChangeLog %buildroot/%_docdir/%soname
find %buildroot -name '*.la' | xargs rm

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%doc %_docdir/%soname
%_libdir/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%_libdir/*.so
%_includedir/*
%{_libdir}/pkgconfig/spandsp.pc

%changelog
* Sun Jan 10 2010 Carsten Schoene <cs@linux-administrator.com> - 0.0.6pre17-1
- update to prerelease 0.0.6pre17
